'use strict';

var _require = require('fetch-ponyfill')(),
    fetch = _require.fetch;

var createStation = function createStation(s) {
	var station = {
		type: 'station',
		id: s.stn_cd + '',
		name: s.stn_nm,
		location: {
			type: 'location',
			longitude: +s.longitude,
			latitude: +s.latitude
		},
		group: s.group // todo
	};
	if (s.major) station.major = s.major; // todo
	return station;
};

var stations = async function stations() {
	var results = await fetch('https://smart.letskorail.com/classes/com.korail.mobile.common.stationdata');
	results = await results.json();
	return results.stns.stn.map(createStation);
};

module.exports = stations;